<h1 class="title" mat-dialog-title>Clone {{ data.title | titlecase | sentinelShortString:
  30 }}</h1>
<div mat-dialog-content>
  <form [formGroup]="cloneDialogFormGroup.formGroup">
    <!-- TITLE field-->
    <mat-form-field appearance="outline"
      (keydown.enter)="$event.preventDefault()">
      <mat-label>Title</mat-label>
      <input matInput placeholder="Title"
        formControlName="clonedDefinitionTitle" required>
      <button *ngIf="clonedDefinitionTitle.value" matSuffix
        mat-icon-button aria-label="Clear"
        (click)="clonedDefinitionTitle.setValue('')">
        <mat-icon>close</mat-icon>
      </button>
      <mat-error *ngIf="clonedDefinitionTitle.hasError('whitespace')">Title cannot be empty</mat-error>
    </mat-form-field>
  </form>
</div>
<div class="actions" mat-dialog-actions>
  <button mat-button color="warn" cdkFocusInitial (click)="cancel()">Cancel</button>
  <span class="spacer"></span>
  <button mat-button color="primary" [disabled]="!valid" (click)="confirm()">Clone</button>
</div>
